/*
 ķ
   Program..: KEYPAD.PRG                            
   Author...: Nick Alexander                        
   Date.....: Dec 20, 2000                          
 Ľ
*/

#include 'inkey.ch'
#include 'dccolor.ch'
#include 'appevent.ch'
#include 'gra.ch'
#include 'xbp.ch'
#include 'dcmsg.ch'
#include 'dcdialog.ch'
#define COLOR_RED        GraMakeRGBColor( { 255,   0,   0 } )
#define COLOR_DARKRED    GraMakeRGBColor( { 127,   0,   0 } )
#define COLOR_GREEN      GraMakeRGBColor( {   0, 255,   0 } )
#define COLOR_DARKGREEN  GraMakeRGBColor( {   0, 127,   0 } )
#define COLOR_BLUE       GraMakeRGBColor( {   0,   0, 255 } )
#define COLOR_DARKBLUE   GraMakeRGBColor( {   0,   0, 127 } )
#define COLOR_CYAN       GraMakeRGBColor( {   0, 255, 255 } )
#define COLOR_DARKCYAN   GraMakeRGBColor( {   0, 127, 127 } )
#define COLOR_YELLOW     GraMakeRGBColor( { 255, 255,   0 } )
#define COLOR_BROWN      GraMakeRGBColor( { 127, 127,   0 } )
#define COLOR_PINK       GraMakeRGBColor( { 255,   0, 255 } )
#define COLOR_DARKPINK   GraMakeRGBColor( { 127,   0, 127 } )
#define COLOR_WHITE      GraMakeRGBColor( { 255, 255, 255 } )
#define COLOR_BLACK      GraMakeRGBColor( {   0,   0,   0 } )
#define COLOR_PALEGRAY   GraMakeRGBColor( { 192, 192, 192 } )
#define COLOR_DARKGRAY   GraMakeRGBColor( { 127, 127, 127 } )
#define COLOR_ORANGE     GraMakeRGBColor( { 253, 120,  41 } )
#define COLOR_LTORANGE   GraMakeRGBColor( { 250, 205,   0 } )
#define COLOR_LTBLUE     GraMakeRGBColor( {  30, 187, 255 } )
#define COLOR_LTYELLOW   GraMakeRGBColor( { 128, 128,   0 } )
#define COLOR_DKYELLOW   GraMakeRGBColor( { 212, 212,   0 } )
#define COLOR_DKBROWN    GraMakeRGBColor( {  72,  72,   0 } )
#define COLOR_SLATEGRAY  GraMakeRGBColor( { 158, 182, 205 } )
#define COLOR_SILVER     GraMakeRGBColor( { 192, 192, 192 } )
#define COLOR_ICEGREEN   GraMakeRGBColor( { 222, 255, 189 } )

MEMVAR lCapsLock, cCapsLock

FUNCTION PopKeyPad( cValue )


   LOCAL GetList := {}, GetOptions, cSaveValue, oCancelButton, ;
         nWidth := AppDeskTop():currentSize()[1], nMaxWidth, nMaxHeight

   _WindowWidthHeight( , , , , , , , , , , , , , , , ,@nMaxWidth, @nMaxHeight  )

   PRIVATE lFirstTime := .t., lCapsLock, cCapsLock

	DEFAULT cValue := space(30)
	DEFAULT lCapsLock := .F.
	DEFAULT cCapsLock := '         '
oConfig1 := DC_XbpPushButtonXPConfig():new()
oConfig1:fgColorMouse    := COLOR_DARKGREEN
oConfig1:bgColorMouse    := COLOR_ORANGE
oConfig1:fgColor         := COLOR_DARKGREEN
oConfig1:bgColor         := COLOR_DARKGREEN
oConfig1:fgColorSelected := GRA_CLR_GREEN
oConfig1:bgColorSelected := COLOR_ICEGREEN
oConfig1:fgColorClick    := COLOR_DARKGREEN
oConfig1:bgColorClick    := COLOR_ICEGREEN
oConfig1:gradientStep    := 10
oConfig1:gradientReverse := .T.
oConfig1:radius          := 12
oConfig1:outline         := .T.
oConfig1:font            := '16.Arial Bold'
oConfig1:mouseOverFont   := '16.Arial Bold'
oConfig1:mouseOverScale  := 1.1
oConfig1:bitmapOffset    := 15
oConfig1:bitmapScale     := 1
oConfig1:alignBitmap     := XBPALIGN_HCENTER +XBPALIGN_VCENTER
oConfig1:borderColor     := GRA_CLR_YELLOW

	cSaveValue := cValue

   @   0,  0 DCGET cValue FONT '20.Courier New Bold' SIZE 680,40 PIXEL EDITPROTECT {||.t.} ;
             ID 'ACCUM'  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


	 @  50,  50 DCGET cCapsLock PIXEL EDITPROTECT {||.T.} ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,  0 DCPUSHBUTTONXP CAPTION {||IIF( lCapsLock,4001,4201) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('1','!',@cValue,GetList)} ;
      ACCELKEY Asc('1') ;
      EVAL _DualFlashBlock(4001,4101,4201,4301) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150, 50 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4002,4202) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('2','@',@cValue,GetList)} ;
      ACCELKEY Asc('2') ;
      EVAL _DualFlashBlock(4002,4102,4202,4302) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,100 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4003,4203) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('3','#',@cValue,GetList)} ;
      ACCELKEY Asc('3') ;
      EVAL _DualFlashBlock(4003,4103,4203,4303) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,150 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4004,4204) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('4','$',@cValue,GetList)} ;
      ACCELKEY Asc('4') ;
      EVAL _DualFlashBlock(4004,4104,4204,4304) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,200 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4005,4205) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('5','%',@cValue,GetList)} ;
      ACCELKEY Asc('5') ;
      EVAL _DualFlashBlock(4005,4105,4205,4305) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,250 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4006,4206) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('6','^',@cValue,GetList)} ;
      ACCELKEY Asc('6') ;
      EVAL _DualFlashBlock(4006,4106,4206,4306) CONFIG oConfig1  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,300 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4007,4207) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('7','&',@cValue,GetList)} ;
      ACCELKEY Asc('7') ;
      EVAL _DualFlashBlock(4007,4107,4207,4307) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,350 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4008,4208) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('8','*',@cValue,GetList)} ;
      ACCELKEY Asc('8') ;
      EVAL _DualFlashBlock(4008,4108,4208,4308) CONFIG oConfig1  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,400 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4009,4209) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('9','(',@cValue,GetList)} ;
      ACCELKEY Asc('9') ;
      EVAL _DualFlashBlock(4009,4109,4209,4309)  CONFIG oConfig1  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,450 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4010,4210) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('0',')',@cValue,GetList)} ;
      ACCELKEY Asc('0') ;
      EVAL _DualFlashBlock(4010,4110,4210,4310)  CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,500 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4011,4211) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('-','_',@cValue,GetList)} ;
      ACCELKEY {Asc('-'),Asc('_')} ;
      EVAL _DualFlashBlock(4011,4111,4211,4311) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,550 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4012,4212) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('=','+',@cValue,GetList)} ;
      ACCELKEY {Asc('='),Asc('+')} ;
      EVAL _DualFlashBlock(4012,4112,4212,4312) CONFIG oConfig1  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 150,600 DCPUSHBUTTONXP CAPTION 4213 FONT '16.Arial Bold' SIZE 80,80 PIXEL ;
      ACTION {||cValue := Substr(cValue,1,Len(cValue)-1),Accum('','',@cValue,GetList)} ;
      ACCELKEY 8 ;
      EVAL _FlashBlock(4213,4313) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250, 20 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4014,4214) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('q','Q',@cValue,GetList)} ;
      ACCELKEY {Asc('q'),Asc('Q')} ;
      EVAL _DualFlashBlock(4014,4114,4214,4314) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250, 70 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4015,4215) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('w','W',@cValue,GetList)} ;
      ACCELKEY {Asc('w'),Asc('W')} ;
      EVAL _DualFlashBlock(4015,4115,4215,4315)  CONFIG oConfig1

   @ 250,120 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4016,4216) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('e','E',@cValue,GetList)} ;
      ACCELKEY {Asc('e'),Asc('E')} ;
      EVAL _DualFlashBlock(4016,4116,4216,4316)  CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250,170 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4017,4217) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('r','R',@cValue,GetList)} ;
      ACCELKEY {Asc('r'),Asc('R')} ;
      EVAL _DualFlashBlock(4017,4117,4217,4317) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250,220 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4018,4218) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('t','T',@cValue,GetList)} ;
      ACCELKEY {Asc('t'),Asc('T')} ;
      EVAL _DualFlashBlock(4018,4118,4218,4318) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250,270 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4019,4219) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('y','Y',@cValue,GetList)} ;
      ACCELKEY {Asc('y'),Asc('Y')} ;
      EVAL _DualFlashBlock(4019,4119,4219,4319) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250,320 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4020,4220) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('u','U',@cValue,GetList)} ;
      ACCELKEY {Asc('u'),Asc('U')} ;
      EVAL _DualFlashBlock(4020,4120,4220,4320) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250,370 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4021,4221) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('i','I',@cValue,GetList)} ;
      ACCELKEY {Asc('i'),Asc('I')} ;
      EVAL _DualFlashBlock(4021,4121,4221,4321) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250,420 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4022,4222) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('o','O',@cValue,GetList)} ;
      ACCELKEY {Asc('o'),Asc('O')} ;
      EVAL _DualFlashBlock(4022,4122,4222,4322) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250,470 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4023,4223) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('p','P',@cValue,GetList)} ;
      ACCELKEY {Asc('p'),Asc('P')} ;
      EVAL _DualFlashBlock(4023,4123,4223,4323)  CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250,520 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4024,4224) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('[','{',@cValue,GetList)} ;
      ACCELKEY {Asc('['),Asc('{')} ;
      EVAL _DualFlashBlock(4024,4124,4224,4324)  CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250,570 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4025,4225) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum(']','}',@cValue,GetList)} ;
      ACCELKEY {Asc(']'),Asc('}')} ;
      EVAL _DualFlashBlock(4025,4125,4225,4325) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 250,620 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4026,4226) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('\','|',@cValue,GetList)} ;
      ACCELKEY {Asc('\'),Asc('|')} ;
      EVAL _DualFlashBlock(4026,4126,4226,4326) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350, 40 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4027,4227) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('a','A',@cValue,GetList)} ;
      ACCELKEY {Asc('a'),Asc('A')} ;
      EVAL _DualFlashBlock(4027,4127,4227,4327) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350, 90 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4028,4228) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('s','S',@cValue,GetList)} ;
      ACCELKEY {Asc('s'),Asc('S')} ;
      EVAL _DualFlashBlock(4028,4128,4228,4328) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350,140 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4029,4229) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('d','D',@cValue,GetList)} ;
      ACCELKEY {Asc('d'),Asc('D')} ;
      EVAL _DualFlashBlock(4029,4129,4229,4329) CONFIG oConfig1  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350,190 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4030,4230) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('f','F',@cValue,GetList)} ;
      ACCELKEY {Asc('f'),Asc('F')} ;
      EVAL _DualFlashBlock(4030,4130,4230,4330) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350,240 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4031,4231) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('g','G',@cValue,GetList)} ;
      ACCELKEY {Asc('g'),Asc('G')} ;
      EVAL _DualFlashBlock(4031,4131,4231,4331) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350,290 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4032,4232) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('h','H',@cValue,GetList)} ;
      ACCELKEY {Asc('h'),Asc('H')} ;
      EVAL _DualFlashBlock(4032,4132,4232,4332) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350,340 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4033,4233) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('j','J',@cValue,GetList)} ;
      ACCELKEY {Asc('j'),Asc('J')} ;
      EVAL _DualFlashBlock(4033,4133,4233,4333) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350,390 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4034,4234) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('k','K',@cValue,GetList)} ;
      ACCELKEY {Asc('k'),Asc('K')} ;
      EVAL _DualFlashBlock(4034,4134,4234,4334) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350,440 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4035,4235) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('l','L',@cValue,GetList)} ;
      ACCELKEY {Asc('l'),Asc('L')} ;
      EVAL _DualFlashBlock(4035,4135,4235,4335) CONFIG oConfig1;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350,490 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4036,4236) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum(';',':',@cValue,GetList)} ;
      ACCELKEY {Asc(';'),Asc(':')} ;
      EVAL _DualFlashBlock(4036,4136,4236,4336) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 350,540 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4037,4237) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum("'",'"',@cValue,GetList)} ;
      ACCELKEY {Asc("'"),Asc('"')} ;
      EVAL _DualFlashBlock(4037,4137,4237,4337) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 450, 60 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4038,4238) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('z','Z',@cValue,GetList)} ;
      ACCELKEY {Asc('z'),Asc('Z')} ;
      EVAL _DualFlashBlock(4038,4138,4238,4338) CONFIG oConfig1

   @ 450,110 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4039,4239) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('x','X',@cValue,GetList)} ;
      ACCELKEY {Asc('x'),Asc('X')} ;
      EVAL _DualFlashBlock(4039,4139,4239,4339) CONFIG oConfig1;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 450,160 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4040,4240) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('c','C',@cValue,GetList)} ;
      ACCELKEY {Asc('c'),Asc('C')} ;
      EVAL _DualFlashBlock(4040,4140,4240,4340) CONFIG oConfig1;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 450,210 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4041,4241) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('v','V',@cValue,GetList)} ;
      ACCELKEY {Asc('v'),Asc('V')} ;
      EVAL _DualFlashBlock(4041,4141,4241,4341) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 450,260 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4042,4242) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('b','B',@cValue,GetList)} ;
      ACCELKEY {Asc('b'),Asc('B')} ;
      EVAL _DualFlashBlock(4042,4142,4242,4342) CONFIG oConfig1  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 450,310 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4043,4243) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('n','N',@cValue,GetList)} ;
      ACCELKEY {Asc('n'),Asc('N')} ;
      EVAL _DualFlashBlock(4043,4143,4243,4343) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 450,360 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4044,4244) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('m','M',@cValue,GetList)} ;
      ACCELKEY {Asc('m'),Asc('M')} ;
      EVAL _DualFlashBlock(4044,4144,4244,4344) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 450,410 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4045,4245) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum(',','<',@cValue,GetList)} ;
      ACCELKEY {Asc(','),Asc('<')} ;
      EVAL _DualFlashBlock(4045,4145,4245,4345) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 450,460 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4046,4246) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('.','>',@cValue,GetList)} ;
      ACCELKEY {Asc('.'),Asc('>')} ;
      EVAL _DualFlashBlock(4046,4146,4246,4346) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 450,510 DCPUSHBUTTONXP CAPTION {||iif( lCapsLock,4047,4247) } FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
      ACTION {||Accum('/','?',@cValue,GetList)} ;
      ACCELKEY {Asc('/'),Asc('?')} ;
      EVAL _DualFlashBlock(4047,4147,4247,4347) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 550, 0 DCPUSHBUTTONXP CAPTION 4248 FONT '16.Arial Bold' SIZE 100,80 PIXEL ;
      ACTION {|a,b,o|lCapsLock:=!lCapsLock,DC_GetRefresh(GetList)} CONFIG oConfig1

			// space bar
   @ 550,100 DCPUSHBUTTONXP ;
	    CAPTION 4049 ;
	    FONT '16.Arial Bold' ;
			SIZE 400,80 PIXEL ;
      ACTION {||Accum(' ',' ',@cValue,GetList)} ;
      ACCELKEY 32  ;
			CONFIG oConfig1  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 550,500 DCPUSHBUTTONXP CAPTION 4248 FONT '16.Arial Bold' SIZE 100,80 PIXEL ;
    ACTION {|a,b,o|lCapsLock:=!lCapsLock,DC_GetRefresh(GetList)}  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT

		 //cancel
   @ 350,590 DCPUSHBUTTONXP CAPTION 4050 FONT '12.Arial Bold' SIZE 90,80 PIXEL ;
      ACCELKEY 13 ;
      ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)} CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   @ 550,600 DCPUSHBUTTONXP CAPTION 4051 FONT '12.Arial Bold' SIZE 80,80 PIXEL ;
      ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_ABORT,GetList)} ;
      ACCELKEY 27 ;
      OBJECT oCancelButton  CONFIG oConfig1  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


//   @  50,  0 DCPUSHBUTTONXP CAPTION 4052 FONT '12.Arial Bold' SIZE 80,80 PIXEL ;
//      ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_ABORT,GetList)} ;
//      ACCELKEY 27 ;
//      OBJECT oCancelButton   CONFIG oConfig1

   IF nWidth > 900

      @ 150,  0+700 DCPUSHBUTTONXP CAPTION 2107 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('7','7',@cValue,GetList)} ;
         ACCELKEY Asc('7') ;
         EVAL _FlashBlock(2107,2207) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 150, 60+700 DCPUSHBUTTONXP CAPTION 2108 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('8','8',@cValue,GetList)} ;
         ACCELKEY Asc('8') ;
         EVAL _FlashBlock(2108,2208)  CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 150,120+700 DCPUSHBUTTONXP CAPTION 2109 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('9','9',@cValue,GetList)} ;
         ACCELKEY Asc('9') ;
         EVAL _FlashBlock(2109,2209) CONFIG oConfig1  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 266,  0+700 DCPUSHBUTTONXP CAPTION 2104 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('4','4',@cValue,GetList)} ;
         ACCELKEY Asc('4') ;
         EVAL _FlashBlock(2104,2204) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 266, 60+700 DCPUSHBUTTONXP CAPTION 2105 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('5','5',@cValue,GetList)} ;
         ACCELKEY Asc('5') ;
         EVAL _FlashBlock(2105,2205)  CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 266,120+700 DCPUSHBUTTONXP CAPTION 2106 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('6','6',@cValue,GetList)} ;
         ACCELKEY Asc('6') ;
         EVAL _FlashBlock(2106,2206) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 370,  0+700 DCPUSHBUTTONXP CAPTION 2101 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('1','1',@cValue,GetList)} ;
         ACCELKEY Asc('1') ;
         EVAL _FlashBlock(2101,2201) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 370, 60+700 DCPUSHBUTTONXP CAPTION 2102 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('2','2',@cValue,GetList)} ;
         ACCELKEY Asc('2') ;
         EVAL _FlashBlock(2102,2202) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 370,120+700 DCPUSHBUTTONXP CAPTION 2103 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('3','3',@cValue,GetList)} ;
         ACCELKEY Asc('3') ;
         EVAL _FlashBlock(2103,2203) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 486,  0+700 DCPUSHBUTTONXP CAPTION 2100 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('0','0',@cValue,GetList)} ;
         ACCELKEY Asc('0') ;
         EVAL _FlashBlock(2100,2200) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 486, 60+700 DCPUSHBUTTONXP CAPTION 2110 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('.','.',@cValue,GetList)} ;
         ACCELKEY 46 ;
         EVAL _FlashBlock(2110,2210) CONFIG oConfig1 ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


      @ 486,120+700 DCPUSHBUTTONXP CAPTION 2112 FONT '16.Arial Bold' SIZE 50,80 PIXEL ;
         ACTION {||Accum('-','-',@cValue,GetList)} ;
         ACCELKEY 45 ;
         EVAL _FlashBlock(2112,2212) CONFIG oConfig1  ;
			RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT


   ENDIF


	DCGETOPTIONS ;
	 	COLOR GRA_CLR_DARKBLUE ;
		RESIZE

	DCREAD GUI ;
   	FIT ;
	 	MODAL ;
   	TITLE 'Virtual Keyboard' ;
   	SETFOCUS @oCancelButton ;
   	TO lStatus ;
   	OPTIONS GetOptions ;

	IF !lStatus
  	cValue := cSaveValue
	ENDIF

RETURN cValue

STATIC FUNCTION Accum ( cKey, cCapsKey, cValue, GetList )

	IF lFirstTime
  	cValue := ''
//	ELSE
  //	cValue := Alltrim(cValue)
	ENDIF

	lFirstTime := .f.

	cValue += iif(lCapsLock,cCapsKey,cKey)

	//cValue := PadL(cValue,30)

   DC_GetRefresh(GetList,'ACCUM')

RETURN nil

* ----------------

STATIC FUNCTION _FlashBlock( n1, n2 )

RETURN {|o|o:lbdown := {|a,b,x|_FlashBlock2(x,n1,n2)}}

* ----------------

STATIC FUNCTION _FlashBlock2( oXbp, n1, n2 )

_Flash( oXbp, n1, n2 )

RETURN nil

* ----------------

STATIC FUNCTION _DualFlashBlock( n1, n2, n3, n4 )

RETURN {|o|o:lbdown := {|a,b,x|_DualFlashBlock2(x,n1,n2,n3,n4)}}

* ----------------

STATIC FUNCTION _DualFlashBlock2( oXbp, n1, n2, n3, n4 )

_DualFlash( oXbp, n1, n2, n3, n4 )

RETURN nil

* -----------

STATIC FUNCTION _Flash( oButton, cCaption1, cCaption2 )

oButton:setFontCompoundName('12.Arial Bold')
oButton:setCaption(cCaption2)
Sleep(5)
oButton:setFontCompoundName('16.Arial Bold')
oButton:setCaption(cCaption1)
Sleep(5)
oButton:setFontCompoundName('12.Arial Bold')
oButton:setCaption(cCaption2)
Sleep(5)
oButton:setFontCompoundName('16.Arial Bold')
oButton:setCaption(cCaption1)
Sleep(5)

RETURN nil

* -----------

STATIC FUNCTION _DualFlash( oButton, cCaption1, cCaption2, cCaption3, cCaption4)

if lCapsLock
   oButton:setFontCompoundName('12.Arial Bold')
   oButton:setCaption(cCaption2)
   Sleep(5)
   oButton:setFontCompoundName('16.Arial Bold')
   oButton:setCaption(cCaption1)
   Sleep(5)
   oButton:setFontCompoundName('12.Arial Bold')
   oButton:setCaption(cCaption2)
   Sleep(5)
   oButton:setFontCompoundName('16.Arial Bold')
   oButton:setCaption(cCaption1)
   Sleep(5)
else
   oButton:setFontCompoundName('12.Arial Bold')
   oButton:setCaption(cCaption4)
   Sleep(5)
   oButton:setFontCompoundName('16.Arial Bold')
   oButton:setCaption(cCaption3)
   Sleep(5)
   oButton:setFontCompoundName('12.Arial Bold')
   oButton:setCaption(cCaption4)
   Sleep(5)
   oButton:setFontCompoundName('16.Arial Bold')
   oButton:setCaption(cCaption3)
   Sleep(5)
endif

RETURN nil


