///////////////////////////////////////////////////////////////////////////////
//
//
//  wServe.ch
//
//
//  Notes    :
//
//        Main directory  : WinLunch\XServeTouchScreen
//             sub directory :   Winlunch\Icon
//                               WinLunch\XServeXServeTouchScreen\bitmaps
//        Icon, Bit maps, jpg: All located in a subdirectory to WinLunch call ICO
//        the file serve.arc connects all defines (found in serve.ch) to the bit map's or ico's
//        found in serve.arc. When you need to added more to the lunch.arc file you will need to
//         1) add any defines needed to the xSrvComb.ch file
//         2) add any defines to the xSrvComb.arc file
//         3) rebuild the xSrvComb.res file by typeing the following at a dos prompt from the Winlunch or
//            C:\Winlunch\xSrvComb for the serving line -  dir:
//
//                      arc xSrvComb
//
//        This will rebuild the xSrvComb.res file. Then you need to re-link the lunch program.
//
//        Defines: All defines that are to be added for lunch are in lunch.ch
//
//
///////////////////////////////////////////////////////////////////////////////


#ifndef _XSRVTCH_CH              // LCS.ch is not included
#define _XSRVTCH_CH              // LCS.ch is included

#DEFINE XSERVE_VERSION  "5.0 03312010"
#DEFINE XSERVE_TITLE    'xTouch Version '
#DEFINE XBASE_VERSION   "1.9"

#DEFINE ARRAY_SIZE 6

// State levels for Receipt Entery Program
#DEFINE  ID_ENTRY  1
#DEFINE  AMT_ENTRY 2
#DEFINE  CHK_ENTRY 3
#DEFINE  CK_ENTRY  4

#define LCS_TOOLTIPCOLOR1  GRA_CLR_BLACK
#define LCS_TOOLTIPCOLOR2  GRA_CLR_YELLOW

#define SIZEOF_MEM_RECORD       32              // added for mem2xpp
#define LCS_NO_MARGIN           0
#define LCS_MARGIN              4

#define LCS_FONT2             '10.Times New Roman'
#define LCS_FONT8             '8.Times New Roman'
#define LCS_FONT9             '9.Times New Roman'
#define LCS_FONT10            '10.Times New Roman'
#define LCS_FONT              '8.Courier New'
#define LCS_LETTER_FONT10     '10.Courier New'
#define LCS_LETTER_FONT8      '8.Courier New'
#define LCS_LETTER_FONT9      '16.Benguiat Frisky ATT'

#define LCS_C_W   "W"
#define LCS_C_1W  "/W"
#define LCS_C_2W  "W+*"
#define LCS_C_3W  "W+/"
#define LCS_C_4W  "W*"

#define ICON_SERVE_APP            1
#define ICON_LCS                300
#define BITMAP_LCS              301

#define BITMAP_APPLICATION      101
#define BITMAP_MILK4            102
#define BITMAP_BREAKFAST        103
#define BITMAP_STUDENT          104
#define BITMAP_FAMILY           105
#define BITMAP_LUNCH            106
#define BITMAP_REPORT           107
#define BITMAP_SPECIAL          108
#define BITMAP_RED              109
#define BITMAP_GREEN            110
#define BITMAP_BLUE             111
#define BITMAP_LTBLUE           112
#define BITMAP_PINK             113
#define BITMAP_YELLOW           114
#define BITMAP_CLOCK            115
#define BITMAP_RECEIPT          116
#define BITMAP_MEAL             117
#define BITMAP_GREENAPPLE       118

#define BITMAP_REPORT2          119
#define BITMAP_RECEIPT2         120
#define BITMAP_MILK2            121
#define BITMAP_EGG              122
#define BITMAP_HAM6             123
//#define BITMAP_HAM5           124
#define BITMAP_HAM3             125
#define BITMAP_BREAKFAST2       126
#define BITMAP_BREAKFAST3       127
#define BITMAP_BREAKFAST4       128
#define BITMAP_RECEIPT3         129
#define BITMAP_COOK             130
#define BITMAP_COOK3            131
#define BITMAP_MEAL2            132
//#define BITMAP_RECEIPT4       133
#define BITMAP_PIZZA            134
//#define BITMAP_MONEY          135
#define BITMAP_GLASSMLK         136
#define BITMAP_BREAK8           137
#define BITMAP_BREAK9           138
#define SRV_BITMAP_EXIT         139
#define SRV_BITMAP_STOP         140


#define ICON_APPLICATION        201
#define ICON_MILK               202
#define ICON_BREAKFAST          203
#define ICON_STUDENT            204
#define ICON_FAMILY             205
#define ICON_LUNCH              206
#define SRV_ICON_REPORT         208
#define ICON_SPECIAL            209
#define ICON_MILK2              210

//NEWBEG S3181 modified orange & redorange - greater contrast
//#define SRV_CLR_ORANGE         {254,207,56}
//#define SRV_CLR_ORANGE         {248,161,90}
//#define SRV_CLR_REDORANGE      {255,100,51}
#define SRV_CLR_ORANGE         {255,187,87}
#define SRV_CLR_REDORANGE      {255,130,91}
//NEWEND S3181
#define SRV_CLR_PURPLE         {198,119,236}
#define SRV_CLR_LTBLUE         {127,198,220}
#define SRV_LT_BLUE            {618,222,242}
#define SRV_GRA_PURPLE         {195,0,195}
#define SRV_GRA_DKPURPLE       {140,0,140}
#define SRV_CLR_DKBROWN        {105,77,0}
#define LCS_GRA_REDORANGE      {255,77,0}
#define LCS_GRA_PURPLE         {198,119,236}
#define SRV_CLR_LIMGREEN       {206,255,206}
#define SRV_CLR_DKGREEN        {13,147,13}
#DEFINE SRV_CLR_PINK           {255,198,226}
#define SRV_OLIVEGREEN         {39,111,1}
#define SRV_GOLD               {197, 197, 0 }
//#define GRA_CLR_CYAN         {72,255,255)
#define COLOR_RED        GraMakeRGBColor( { 255,   0,   0 } )
#define COLOR_DARKRED    GraMakeRGBColor( { 127,   0,   0 } )
#define COLOR_GREEN      GraMakeRGBColor( {   0, 255,   0 } )
#define COLOR_DARKGREEN  GraMakeRGBColor( {   0, 127,   0 } )
#define COLOR_BLUE       GraMakeRGBColor( {  14,   46, 205 } )
#define COLOR_DARKBLUE   GraMakeRGBColor( {   0,   0, 127 } )
#define COLOR_ICEBLUE    GraMakeRGBColor( { 134, 223, 223 } )
#define COLOR_LITEBLUE   GraMakeRGBColor( { 127, 156, 250 } )
#define COLOR_CYAN       GraMakeRGBColor( {   0, 255, 255 } )
#define COLOR_DARKCYAN   GraMakeRGBColor( {   0, 127, 127 } )
#define COLOR_YELLOW     GraMakeRGBColor( { 255, 255,   0 } )
#define COLOR_BROWN      GraMakeRGBColor( { 127, 127,   0 } )
#define COLOR_PINK       GraMakeRGBColor( { 255,   0, 255 } )
#define COLOR_DARKPINK   GraMakeRGBColor( { 127,   0, 127 } )
#define COLOR_WHITE      GraMakeRGBColor( { 255, 255, 255 } )
#define COLOR_BLACK      GraMakeRGBColor( {   0,   0,   0 } )
#define COLOR_PALEGRAY   GraMakeRGBColor( { 192, 192, 192 } )
#define COLOR_DARKGRAY   GraMakeRGBColor( { 127, 127, 127 } )
#define COLOR_ORANGE     GraMakeRGBColor( { 253, 120,  41 } )
#define COLOR_LTORANGE   GraMakeRGBColor( { 250, 205,   0 } )
#define COLOR_LTBLUE     GraMakeRGBColor( {  30, 187, 255 } )
#define COLOR_LTYELLOW   GraMakeRGBColor( { 128, 128,   0 } )
#define COLOR_DKYELLOW   GraMakeRGBColor( { 212, 212,   0 } )
#define COLOR_DKBROWN    GraMakeRGBColor( {  72,  72,   0 } )
#define COLOR_SLATEGRAY  GraMakeRGBColor( { 158, 182, 205 } )
#define COLOR_SILVER     GraMakeRGBColor( { 192, 192, 192 } )
#define COLOR_ICEGREEN   GraMakeRGBColor( { 222, 255, 189 } )

//
// Purchase Messages
//
#define EMPTY_ROW                            ''
#define NO_PURCHASE                          'NO PURCHASES'
#define NO_MORE_SALES_ALLOWED_LIMIT_EXCEEDED 'NO MORE SALES ALLOWED-LIMIT EXCEEDED'
#define NO_MORE_SALES_ALLOWED                'NO MORE SALES ALLOWED'
#define NO_C_ITEMS                           'NO C ITEMS'
#define NO_EXTRA_SALES                       'NO EXTRA SALES'
#define NO_C_ITEMS_NO_EXTRA_SALES            'NO C ITEMS - NO EXTRA SALES'
#define NO_EXTRA_SALES_LIMIT_EXCEEDED        'NO MORE EXTRA SALES-LIMIT EXCEEDED'
#define NO_MORE_EXTRA_SALES                  'NO MORE EXTRA SALES''
#define PUR_TOTAL_SALE                       'TOTAL SALE'
#define PUR_LINE                             '   --------'
#define PUR_CHANGE                           '   Change'
#define PUR_RECEIPT                          '   Receipt'
#define PURCHASES_NOT_ALLOWED                'PURCHASES NOT ALLOWED'

// Sound Defines
// flags for PlaySound
#define SND_SYNC             0        /* play synchronously (default) */
#define SND_ASYNC            1        /* play asynchronously */
#define SND_NODEFAULT        2        /* silence (!default) if sound not found */
#define SND_MEMORY           4        /* pszSound points to a memory file */
#define SND_LOOP             8        /* loop the sound until next sndPlaySound */
#define SND_FILENAME    131072
#define SND_PURGE           64
#define SND_ALIAS        65536
#define SND_RESOURCE    262148        /* name is resource name or atom */
#define SND_ALIAS_ID   1114112        /* alias is a predefined ID */

#define VK_NUMLOCK        0x90
#define VK_SCROLL         0x91
#define VK_CAPITAL        0x14
#define APPKEY_PRESSED    2

// defines for Srv_voice
#define SRV_COMMENTTONE      1
#define SRV_NOSUCHPURCHASE   2
#define SRV_WRONGFORSTUDENT  3
#define SRV_NOEXTRASALES     4
#define SRV_NOMORESALES      5
#define SRV_STUDENTHASEATEN  6
#define SRV_ENTERMULITITEM   7
#define SRV_WRONGFIRSTACTION 8
#define SRV_LIMITEXCEEDED    9
#define SRV_ENTERITEMNUM     10

// defines for Srv_Sound
#define SRV_NEWID           11       // Bell
#define SRV_COMMENT         12       // Blip
#define SRV_BLKSALE         13       // Slam Door
#define SRV_INVALIDID       14       // Inside
#define SRV_LOWBALANCE      15       // Imrcv
#define SRV_ALERT           16
#define SRV_LOWTONE         17
#define SRV_MIDTONE         18
#define SRV_HIGHTONE        19
#define SRV_OPEN            20
#define SRV_INVALIDITEM     21
#define SRV_BELL            11

// Defines for which error message to display

#define ERRMSG_DB_YOU_NEED_LOCKED          '1'
#define ERRMSG_DB_FILECOPY_LOCKED          '2'
#define ERRMSG_DB_FILEUSE_REPORT_LOCKED    '5'
#define ERRMSG_DB_INDEX_NO_MSG_LOCKED      '6'
#define ERRMSG_DB_INDEX_MISSING            '7'
#define ERRMSG_DB_DELETING                 '8'
#define ERRMSG_DB_EXCLUSIVE_USE           '10'
#define ERRMSG_SYSTEM_FILE_MISSING        '16'

#define BITMAP_NUMBER_ZERO               2100
#define BITMAP_NUMBER_ONE                2101
#define BITMAP_NUMBER_TWO                2102
#define BITMAP_NUMBER_THREE              2103
#define BITMAP_NUMBER_FOUR               2104
#define BITMAP_NUMBER_FIVE               2105
#define BITMAP_NUMBER_SIX                2106
#define BITMAP_NUMBER_SEVEN              2107
#define BITMAP_NUMBER_EIGHT              2108
#define BITMAP_NUMBER_NINE               2109
#define BITMAP_NUMBER_PERIOD             2110
#define BITMAP_NUMBER_CLEAR              2111
#define BITMAP_NUMBER_NEGATIVE           2112
#define BITMAP_NUMBER_BACKSPACE          2113
#define BITMAP_NUMBER_OK                 2114
#define BITMAP_NUMBER_CANCEL             2115
#define BITMAP_NUMBER_PERCENT            2215
//NEWBEG S3314 Add Done bitmap to change from OK to Finish bitmap
#define BITMAP_DONE                      2116
//NEWend S3314 change from OK to Done bitmap

#define BITMAP_NUMBER_ZERO_REV           2200
#define BITMAP_NUMBER_ONE_REV            2201
#define BITMAP_NUMBER_TWO_REV            2202
#define BITMAP_NUMBER_THREE_REV          2203
#define BITMAP_NUMBER_FOUR_REV           2204
#define BITMAP_NUMBER_FIVE_REV           2205
#define BITMAP_NUMBER_SIX_REV            2206
#define BITMAP_NUMBER_SEVEN_REV          2207
#define BITMAP_NUMBER_EIGHT_REV          2208
#define BITMAP_NUMBER_NINE_REV           2209
#define BITMAP_NUMBER_PERIOD_REV         2210
#define BITMAP_NUMBER_CLEAR_REV          2211
#define BITMAP_NUMBER_NEGATIVE_REV       2212
#define BITMAP_NUMBER_BACKSPACE_REV      2213
#define BITMAP_NUMBER_OK_REV             2214
//NEWBEG S3314 Add Done reverse bitmap to change from OK to Finish bitmap
#define BITMAP_BITMAP_DONE_REV           2216
//NEWEND S3314 Add Done bitmap to change from OK to Finish bitmap

#define BITMAP_CALCULATOR_ICON           2300

#define BITMAP_KEYPAD_1                  4001
#define BITMAP_KEYPAD_2                  4002
#define BITMAP_KEYPAD_3                  4003
#define BITMAP_KEYPAD_4                  4004
#define BITMAP_KEYPAD_5                  4005
#define BITMAP_KEYPAD_6                  4006
#define BITMAP_KEYPAD_7                  4007
#define BITMAP_KEYPAD_8                  4008
#define BITMAP_KEYPAD_9                  4009
#define BITMAP_KEYPAD_0                  4010
#define BITMAP_KEYPAD_DASH               4011
#define BITMAP_KEYPAD_EQ                 4012
#define BITMAP_KEYPAD_BS                 4013
#define BITMAP_KEYPAD_Q                  4014
#define BITMAP_KEYPAD_W                  4015
#define BITMAP_KEYPAD_E                  4016
#define BITMAP_KEYPAD_R                  4017
#define BITMAP_KEYPAD_T                  4018
#define BITMAP_KEYPAD_Y                  4019
#define BITMAP_KEYPAD_U                  4020
#define BITMAP_KEYPAD_I                  4021
#define BITMAP_KEYPAD_O                  4022
#define BITMAP_KEYPAD_P                  4023
#define BITMAP_KEYPAD_LBR                4024
#define BITMAP_KEYPAD_RBR                4025
#define BITMAP_KEYPAD_BSLH               4026
#define BITMAP_KEYPAD_A                  4027
#define BITMAP_KEYPAD_S                  4028
#define BITMAP_KEYPAD_D                  4029
#define BITMAP_KEYPAD_F                  4030
#define BITMAP_KEYPAD_G                  4031
#define BITMAP_KEYPAD_H                  4032
#define BITMAP_KEYPAD_J                  4033
#define BITMAP_KEYPAD_K                  4034
#define BITMAP_KEYPAD_L                  4035
#define BITMAP_KEYPAD_COLN               4036
#define BITMAP_KEYPAD_QUOT               4037
#define BITMAP_KEYPAD_Z                  4038
#define BITMAP_KEYPAD_X                  4039
#define BITMAP_KEYPAD_C                  4040
#define BITMAP_KEYPAD_V                  4041
#define BITMAP_KEYPAD_B                  4042
#define BITMAP_KEYPAD_N                  4043
#define BITMAP_KEYPAD_M                  4044
#define BITMAP_KEYPAD_COMA               4045
#define BITMAP_KEYPAD_PER                4046
#define BITMAP_KEYPAD_SLH                4047
#define BITMAP_KEYPAD_CAPS               4048
#define BITMAP_KEYPAD_SP                 4049
#define BITMAP_KEYPAD_RET                4050
#define BITMAP_KEYPAD_CAN                4051

#define BITMAP_KEYREV_1                  4101
#define BITMAP_KEYREV_2                  4102
#define BITMAP_KEYREV_3                  4103
#define BITMAP_KEYREV_4                  4104
#define BITMAP_KEYREV_5                  4105
#define BITMAP_KEYREV_6                  4106
#define BITMAP_KEYREV_7                  4107
#define BITMAP_KEYREV_8                  4108
#define BITMAP_KEYREV_9                  4109
#define BITMAP_KEYREV_0                  4110
#define BITMAP_KEYREV_DASH               4111
#define BITMAP_KEYREV_EQ                 4112
#define BITMAP_KEYREV_BS                 4113
#define BITMAP_KEYREV_Q                  4114
#define BITMAP_KEYREV_W                  4115
#define BITMAP_KEYREV_E                  4116
#define BITMAP_KEYREV_R                  4117
#define BITMAP_KEYREV_T                  4118
#define BITMAP_KEYREV_Y                  4119
#define BITMAP_KEYREV_U                  4120
#define BITMAP_KEYREV_I                  4121
#define BITMAP_KEYREV_O                  4122
#define BITMAP_KEYREV_P                  4123
#define BITMAP_KEYREV_LBR                4124
#define BITMAP_KEYREV_RBR                4125
#define BITMAP_KEYREV_BSLH               4126
#define BITMAP_KEYREV_A                  4127
#define BITMAP_KEYREV_S                  4128
#define BITMAP_KEYREV_D                  4129
#define BITMAP_KEYREV_F                  4130
#define BITMAP_KEYREV_G                  4131
#define BITMAP_KEYREV_H                  4132
#define BITMAP_KEYREV_J                  4133
#define BITMAP_KEYREV_K                  4134
#define BITMAP_KEYREV_L                  4135
#define BITMAP_KEYREV_COLN               4136
#define BITMAP_KEYREV_QUOT               4137
#define BITMAP_KEYREV_Z                  4138
#define BITMAP_KEYREV_X                  4139
#define BITMAP_KEYREV_C                  4140
#define BITMAP_KEYREV_V                  4141
#define BITMAP_KEYREV_B                  4142
#define BITMAP_KEYREV_N                  4143
#define BITMAP_KEYREV_M                  4144
#define BITMAP_KEYREV_COMA               4145
#define BITMAP_KEYREV_PER                4146
#define BITMAP_KEYREV_SLH                4147
#define BITMAP_KEYREV_CAPS               4148
#define BITMAP_KEYREV_SP                 4149
#define BITMAP_KEYREV_RET                4150
#define BITMAP_KEYREV_CAN                4151

#define BITMAP_KYLPAD_1                  4201
#define BITMAP_KYLPAD_2                  4202
#define BITMAP_KYLPAD_3                  4203
#define BITMAP_KYLPAD_4                  4204
#define BITMAP_KYLPAD_5                  4205
#define BITMAP_KYLPAD_6                  4206
#define BITMAP_KYLPAD_7                  4207
#define BITMAP_KYLPAD_8                  4208
#define BITMAP_KYLPAD_9                  4209
#define BITMAP_KYLPAD_0                  4210
#define BITMAP_KYLPAD_DASH               4211
#define BITMAP_KYLPAD_EQ                 4212
#define BITMAP_KYLPAD_BS                 4213
#define BITMAP_KYLPAD_Q                  4214
#define BITMAP_KYLPAD_W                  4215
#define BITMAP_KYLPAD_E                  4216
#define BITMAP_KYLPAD_R                  4217
#define BITMAP_KYLPAD_T                  4218
#define BITMAP_KYLPAD_Y                  4219
#define BITMAP_KYLPAD_U                  4220
#define BITMAP_KYLPAD_I                  4221
#define BITMAP_KYLPAD_O                  4222
#define BITMAP_KYLPAD_P                  4223
#define BITMAP_KYLPAD_LBR                4224
#define BITMAP_KYLPAD_RBR                4225
#define BITMAP_KYLPAD_BSLH               4226
#define BITMAP_KYLPAD_A                  4227
#define BITMAP_KYLPAD_S                  4228
#define BITMAP_KYLPAD_D                  4229
#define BITMAP_KYLPAD_F                  4230
#define BITMAP_KYLPAD_G                  4231
#define BITMAP_KYLPAD_H                  4232
#define BITMAP_KYLPAD_J                  4233
#define BITMAP_KYLPAD_K                  4234
#define BITMAP_KYLPAD_L                  4235
#define BITMAP_KYLPAD_COLN               4236
#define BITMAP_KYLPAD_QUOT               4237
#define BITMAP_KYLPAD_Z                  4238
#define BITMAP_KYLPAD_X                  4239
#define BITMAP_KYLPAD_C                  4240
#define BITMAP_KYLPAD_V                  4241
#define BITMAP_KYLPAD_B                  4242
#define BITMAP_KYLPAD_N                  4243
#define BITMAP_KYLPAD_M                  4244
#define BITMAP_KYLPAD_COMA               4245
#define BITMAP_KYLPAD_PER                4246
#define BITMAP_KYLPAD_SLH                4247
#define BITMAP_KYLPAD_CAPS               4248

#define BITMAP_KYLREV_1                  4301
#define BITMAP_KYLREV_2                  4302
#define BITMAP_KYLREV_3                  4303
#define BITMAP_KYLREV_4                  4304
#define BITMAP_KYLREV_5                  4305
#define BITMAP_KYLREV_6                  4306
#define BITMAP_KYLREV_7                  4307
#define BITMAP_KYLREV_8                  4308
#define BITMAP_KYLREV_9                  4309
#define BITMAP_KYLREV_0                  4310
#define BITMAP_KYLREV_DASH               4311
#define BITMAP_KYLREV_EQ                 4312
#define BITMAP_KYLREV_BS                 4313
#define BITMAP_KYLREV_Q                  4314
#define BITMAP_KYLREV_W                  4315
#define BITMAP_KYLREV_E                  4316
#define BITMAP_KYLREV_R                  4317
#define BITMAP_KYLREV_T                  4318
#define BITMAP_KYLREV_Y                  4319
#define BITMAP_KYLREV_U                  4320
#define BITMAP_KYLREV_I                  4321
#define BITMAP_KYLREV_O                  4322
#define BITMAP_KYLREV_P                  4323
#define BITMAP_KYLREV_LBR                4324
#define BITMAP_KYLREV_RBR                4325
#define BITMAP_KYLREV_BSLH               4326
#define BITMAP_KYLREV_A                  4327
#define BITMAP_KYLREV_S                  4328
#define BITMAP_KYLREV_D                  4329
#define BITMAP_KYLREV_F                  4330
#define BITMAP_KYLREV_G                  4331
#define BITMAP_KYLREV_H                  4332
#define BITMAP_KYLREV_J                  4333
#define BITMAP_KYLREV_K                  4334
#define BITMAP_KYLREV_L                  4335
#define BITMAP_KYLREV_COLN               4336
#define BITMAP_KYLREV_QUOT               4337
#define BITMAP_KYLREV_Z                  4338
#define BITMAP_KYLREV_X                  4339
#define BITMAP_KYLREV_C                  4340
#define BITMAP_KYLREV_V                  4341
#define BITMAP_KYLREV_B                  4342
#define BITMAP_KYLREV_N                  4343
#define BITMAP_KYLREV_M                  4344
#define BITMAP_KYLREV_COMA               4345
#define BITMAP_KYLREV_PER                4346
#define BITMAP_KYLREV_SLH                4347
#define BITMAP_KYLREV_CAPS               4348

#define BITMAP_SRV_OK                    5001
#define BITMAP_SRV_CANCEL                5002
#define BITMAP_SRV_STOP                  5003
#define BITMAP_SRV_ERASE                 5004
#define BITMAP_SRV_CASHSALE              5005
#define BITMAP_SRV_MULTIITEM             5006
#define BITMAP_SRV_RECEIPTS              5007
#define BITMAP_SRV_COPYIN                5008
#define BITMAP_SRV_COPYOUT               5009
#define BITMAP_SRV_NORMALENTRY           5010
#define BITMAP_SRV_ALTIN                 5011
#define BITMAP_SRV_ALTOUT                5012
#define BITMAP_SRV_TEST                  5013
#define BITMAP_SRV_CLEANUP               5014
#define BITMAP_SRV_OPTIONS               5015
#define BITMAP_SRV_TALLYENTRY            5016
#define BITMAP_SRV_RECEIPTTOTALS         5017
#define BITMAP_SRV_REINDEXFILES          5018
#define BITMAP_SRV_BACKSPACE             5019


#endif

